.lesson{

    &-head {
        background-color: rgba(255,255,255,0.14);
        margin: 0 0 100px;
        position: relative;
        background-size: cover;
        background-position: center;

        .cover {
            background-color: rgba(0,0,0,.5);
            padding: $padding_desktop;
            z-index: 10;

            @media (max-width: $tablet) {
                padding: $padding_tablet;
            }
            @media (max-width: $mobile) {
                padding: $padding_tablet $padding_mobile;
            }

            h1 {
                margin: 0;
            }

            .info {
                &-number{
                    margin: 15px 0 35px;
                    background-color: #D81159;
                    display: inline-block;
                    padding: 5px 20px;
                    text-transform: uppercase;
                    letter-spacing: 3px;
                    font-weight: 600;
                    font-size: 1.1rem;
                }
            }

            .data {
                margin-top: 30px;

                div {
                    display: inline-block;
                }
                div:not(:first-child) {
                    background-color: #ffffff;
                    color: #000000;
                    font-size: .78rem;
                    font-weight: 600;
                    border-radius: 20px;
                    margin-left: 15px;
                    padding: 5px 10px;
                }
            }
        }
        &-lines {

            &-line {
                position: absolute;
                display: block;
                height: 7px;
                border-radius: 7px;
                transform: rotate(-45deg);
                z-index: 1;

                &:nth-child(1){
                    background-color: #FFBC42;
                    width: 150px;
                    top: 40px;
                    right: 50px;
                }
                &:nth-child(2){
                    background-color: #D81159;
                    width: 130px;
                    top: 153px;
                    right: 104px;
                }
                &:nth-child(3){
                    background-color: #8F2D56;
                    width: 50px;
                    top: 150px;
                    right: 65px;
                }
                &:nth-child(4){
                    background-color: #218380;
                    width: 160px;
                    top: 47px;
                    left: -65px;
                }
                &:nth-child(5){
                    background-color: #FFBC42;
                    width: 200px;
                    bottom: 33px;
                    left: 65px;
                }
                &:nth-child(6){
                    background-color: #D81159;
                    width: 150px;
                    bottom: 0px;
                    left: 0px;
                }
                &:nth-child(7){
                    background-color: #8F2D56;
                    width: 110px;
                    bottom: 15px;
                    right: 0px;
                }
                @media (max-width: $grid-mobile) {
                    display: none;
                }
            }
        }
    }

    &-content {
        font-size: 0;

        &-data {
            margin: 50px 0 100px;
            display: table;
            width: 100%;
            border-collapse: collapse;

            .data-row {
                display: table-row;

                .data {
                    font-size: 0;
                    display: table-cell;
                    vertical-align: middle;
                    width: 50%;
                    border: 1px solid rgba(255, 255, 255, 0.35);
                    padding: 40px;

                    &-icon,
                    &-info {
                        display: inline-block;
                        vertical-align: middle;
                        width: 50%;
                        font-size: .75rem;
                    }
                    &-icon {
                        text-transform: uppercase;

                        @media (max-width: $grid-tablet) {
                            font-size: 0;
                        }
                        @media (max-width: $grid-mobile) {
                            font-size: 0;
                        }

                        i {
                            font-size: 1.2rem;
                            margin-right: 20px;
                        }

                    }

                    &-info {

                        transition: all .5s;

                    }
                }
            }
        }

        &-course {
            width: 100%;
            max-height: 300px;
            overflow-y: scroll;
            margin: 50px 0;

            &__item {

                margin-bottom: 20px;

                .icon,
                .info {
                    display: inline-block;
                    vertical-align: middle;
                }

                .icon {
                    font-size: 1.2rem;
                    margin-right: 25px;
                }

                .info {
                    text-transform: uppercase;
                    font-size: .8rem;

                    &-number{
                        background-color: #218380;
                        display: inline-block;
                        padding: 5px 10px;
                        letter-spacing: 2px;

                        &.current {
                            background-color: #D81159;
                        }
                    }

                    h6 {
                        margin-top: 10px;
                        font-size: .7rem;
                        color: #AEAEAE;
                    }
                }
            }
        }
    }
}
